package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.List;

// 定义一个CdCompanyExample类，继承自BaseMybatisExample类
public class CdCompanyExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria变量
    public CdCompanyExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause变量的值
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause变量的值
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct变量的值
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct变量的值
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria变量的值
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加一个查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个新的查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个新的查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空oredCriteria变量和orderByClause变量和distinct变量的值
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个GeneratedCriteria类，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria变量
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断是否有查询条件
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有的查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加一个查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否为空
        public Criteria andCompanyCodeIsNull() {
            addCriterion("COMPANY_CODE is null");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否不为空
        public Criteria andCompanyCodeIsNotNull() {
            addCriterion("COMPANY_CODE is not null");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否等于某个值
        public Criteria andCompanyCodeEqualTo(String value) {
            addCriterion("COMPANY_CODE =", value, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否不等于某个值
        public Criteria andCompanyCodeNotEqualTo(String value) {
            addCriterion("COMPANY_CODE <>", value, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否大于某个值
        public Criteria andCompanyCodeGreaterThan(String value) {
            addCriterion("COMPANY_CODE >", value, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否大于等于某个值
        public Criteria andCompanyCodeGreaterThanOrEqualTo(String value) {
            addCriterion("COMPANY_CODE >=", value, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否小于某个值
        public Criteria andCompanyCodeLessThan(String value) {
            addCriterion("COMPANY_CODE <", value, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否小于等于某个值
        public Criteria andCompanyCodeLessThanOrEqualTo(String value) {
            addCriterion("COMPANY_CODE <=", value, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否包含某个值
        public Criteria andCompanyCodeLike(String value) {
            addCriterion("COMPANY_CODE like", value, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否不包含某个值
        public Criteria andCompanyCodeNotLike(String value) {
            addCriterion("COMPANY_CODE not like", value, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否在某个范围内
        public Criteria andCompanyCodeIn(List<String> values) {
            addCriterion("COMPANY_CODE in", values, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否不在某个范围内
        public Criteria andCompanyCodeNotIn(List<String> values) {
            addCriterion("COMPANY_CODE not in", values, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否在某个范围内
        public Criteria andCompanyCodeBetween(String value1, String value2) {
            addCriterion("COMPANY_CODE between", value1, value2, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_CODE是否不在某个范围内
        public Criteria andCompanyCodeNotBetween(String value1, String value2) {
            addCriterion("COMPANY_CODE not between", value1, value2, "companyCode");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否为空
        public Criteria andCompanyNameIsNull() {
            addCriterion("COMPANY_NAME is null");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否不为空
        public Criteria andCompanyNameIsNotNull() {
            addCriterion("COMPANY_NAME is not null");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否等于某个值
        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("COMPANY_NAME =", value, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否不等于某个值
        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("COMPANY_NAME <>", value, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否大于某个值
        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("COMPANY_NAME >", value, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否大于等于某个值
        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("COMPANY_NAME >=", value, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否小于某个值
        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("COMPANY_NAME <", value, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否小于等于某个值
        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("COMPANY_NAME <=", value, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否包含某个值
        public Criteria andCompanyNameLike(String value) {
            addCriterion("COMPANY_NAME like", value, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否不包含某个值
        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("COMPANY_NAME not like", value, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否在某个范围内
        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("COMPANY_NAME in", values, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否不在某个范围内
        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("COMPANY_NAME not in", values, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否在某个范围内
        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("COMPANY_NAME between", value1, value2, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_NAME是否不在某个范围内
        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("COMPANY_NAME not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否为空
        public Criteria andCompanyAddressIsNull() {
            addCriterion("COMPANY_ADDRESS is null");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否不为空
        public Criteria andCompanyAddressIsNotNull() {
            addCriterion("COMPANY_ADDRESS is not null");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否等于某个值
        public Criteria andCompanyAddressEqualTo(String value) {
            addCriterion("COMPANY_ADDRESS =", value, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否不等于某个值
        public Criteria andCompanyAddressNotEqualTo(String value) {
            addCriterion("COMPANY_ADDRESS <>", value, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否大于某个值
        public Criteria andCompanyAddressGreaterThan(String value) {
            addCriterion("COMPANY_ADDRESS >", value, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否大于等于某个值
        public Criteria andCompanyAddressGreaterThanOrEqualTo(String value) {
            addCriterion("COMPANY_ADDRESS >=", value, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否小于某个值
        public Criteria andCompanyAddressLessThan(String value) {
            addCriterion("COMPANY_ADDRESS <", value, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否小于等于某个值
        public Criteria andCompanyAddressLessThanOrEqualTo(String value) {
            addCriterion("COMPANY_ADDRESS <=", value, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否包含某个值
        public Criteria andCompanyAddressLike(String value) {
            addCriterion("COMPANY_ADDRESS like", value, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否不包含某个值
        public Criteria andCompanyAddressNotLike(String value) {
            addCriterion("COMPANY_ADDRESS not like", value, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否在某个范围内
        public Criteria andCompanyAddressIn(List<String> values) {
            addCriterion("COMPANY_ADDRESS in", values, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否不在某个范围内
        public Criteria andCompanyAddressNotIn(List<String> values) {
            addCriterion("COMPANY_ADDRESS not in", values, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否在某个范围内
        public Criteria andCompanyAddressBetween(String value1, String value2) {
            addCriterion("COMPANY_ADDRESS between", value1, value2, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_ADDRESS是否不在某个范围内
        public Criteria andCompanyAddressNotBetween(String value1, String value2) {
            addCriterion("COMPANY_ADDRESS not between", value1, value2, "companyAddress");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否为空
        public Criteria andCompanyLeaderIsNull() {
            addCriterion("COMPANY_LEADER is null");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否不为空
        public Criteria andCompanyLeaderIsNotNull() {
            addCriterion("COMPANY_LEADER is not null");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否等于某个值
        public Criteria andCompanyLeaderEqualTo(String value) {
            addCriterion("COMPANY_LEADER =", value, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否不等于某个值
        public Criteria andCompanyLeaderNotEqualTo(String value) {
            addCriterion("COMPANY_LEADER <>", value, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否大于某个值
        public Criteria andCompanyLeaderGreaterThan(String value) {
            addCriterion("COMPANY_LEADER >", value, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否大于等于某个值
        public Criteria andCompanyLeaderGreaterThanOrEqualTo(String value) {
            addCriterion("COMPANY_LEADER >=", value, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否小于某个值
        public Criteria andCompanyLeaderLessThan(String value) {
            addCriterion("COMPANY_LEADER <", value, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否小于等于某个值
        public Criteria andCompanyLeaderLessThanOrEqualTo(String value) {
            addCriterion("COMPANY_LEADER <=", value, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否包含某个值
        public Criteria andCompanyLeaderLike(String value) {
            addCriterion("COMPANY_LEADER like", value, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否不包含某个值
        public Criteria andCompanyLeaderNotLike(String value) {
            addCriterion("COMPANY_LEADER not like", value, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否在某个范围内
        public Criteria andCompanyLeaderIn(List<String> values) {
            addCriterion("COMPANY_LEADER in", values, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否不在某个范围内
        public Criteria andCompanyLeaderNotIn(List<String> values) {
            addCriterion("COMPANY_LEADER not in", values, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否在某个范围内
        public Criteria andCompanyLeaderBetween(String value1, String value2) {
            addCriterion("COMPANY_LEADER between", value1, value2, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER是否不在某个范围内
        public Criteria andCompanyLeaderNotBetween(String value1, String value2) {
            addCriterion("COMPANY_LEADER not between", value1, value2, "companyLeader");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否为空
        public Criteria andCompanyLeaderTelIsNull() {
            addCriterion("COMPANY_LEADER_TEL is null");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否不为空
        public Criteria andCompanyLeaderTelIsNotNull() {
            addCriterion("COMPANY_LEADER_TEL is not null");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否等于某个值
        public Criteria andCompanyLeaderTelEqualTo(String value) {
            addCriterion("COMPANY_LEADER_TEL =", value, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否不等于某个值
        public Criteria andCompanyLeaderTelNotEqualTo(String value) {
            addCriterion("COMPANY_LEADER_TEL <>", value, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否大于某个值
        public Criteria andCompanyLeaderTelGreaterThan(String value) {
            addCriterion("COMPANY_LEADER_TEL >", value, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否大于等于某个值
        public Criteria andCompanyLeaderTelGreaterThanOrEqualTo(String value) {
            addCriterion("COMPANY_LEADER_TEL >=", value, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否小于某个值
        public Criteria andCompanyLeaderTelLessThan(String value) {
            addCriterion("COMPANY_LEADER_TEL <", value, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否小于等于某个值
        public Criteria andCompanyLeaderTelLessThanOrEqualTo(String value) {
            addCriterion("COMPANY_LEADER_TEL <=", value, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否包含某个值
        public Criteria andCompanyLeaderTelLike(String value) {
            addCriterion("COMPANY_LEADER_TEL like", value, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否不包含某个值
        public Criteria andCompanyLeaderTelNotLike(String value) {
            addCriterion("COMPANY_LEADER_TEL not like", value, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否在某个范围内
        public Criteria andCompanyLeaderTelIn(List<String> values) {
            addCriterion("COMPANY_LEADER_TEL in", values, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否不在某个范围内
        public Criteria andCompanyLeaderTelNotIn(List<String> values) {
            addCriterion("COMPANY_LEADER_TEL not in", values, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否在某个范围内
        public Criteria andCompanyLeaderTelBetween(String value1, String value2) {
            addCriterion("COMPANY_LEADER_TEL between", value1, value2, "companyLeaderTel");
            return (Criteria) this;
        }

        // 判断COMPANY_LEADER_TEL是否不在某个范围内
        public Criteria andCompanyLeaderTelNotBetween(String value1, String value2) {
            addCriterion("COMPANY_LEADER_TEL not between", value1, value2, "companyLeaderTel");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}